## shotwell 0.30.14

=== debian/changelog ===
shotwell (0.30.14-1ubuntu6) jammy; urgency=medium

  * debian/build-_LIB-is-expected-to-be-a-relative-path.patch:
    - fix an incorrect path handling making plugins not found (LP: #1969439)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 20 Apr 2022 08:22:39 +0200

shotwell (0.30.14-1ubuntu5) jammy; urgency=medium

  * Cherry-pick patch to also set dark wallpaper (LP: #1965812)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 04 Apr 2022 16:53:50 -0400

shotwell (0.30.14-1ubuntu4) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 25 Mar 2022 10:51:21 +0100

shotwell (0.30.14-1ubuntu3) jammy; urgency=medium

  * debian/patches/build_new_valac.patch:
    - fix the build with the new valac version

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 24 Mar 2022 11:33:01 +0100

shotwell (0.30.14-1ubuntu2) jammy; urgency=medium

  * Use the correct name for the unity build option

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 22 Nov 2021 10:25:31 +0100

shotwell (0.30.14-1ubuntu1) jammy; urgency=medium

  * Resynchronize on Debian, remaining Ubuntu changes
  * debian/control.in:
    - Build-Depends on libunity-dev
  * debian/rules:
    - enable unity and apport build options
  * debian/debian/replace_thumbnailer.sh, 
    debian/shotwell-common.README.Debian, debian/shotwell.examples, 
    debian/shotwell.postrm, shotwell.README.Debian:
    - clean out thumbnailer hacks, that's not user friendly and not
      something we should recommend
  * Removed Ubuntu changes
    - set Vcs and add gbp.conf since we aren't using that vcs anymore

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 18 Nov 2021 12:34:35 +0100

shotwell (0.30.14-1) unstable; urgency=medium

  * New upstream release.
  * Declare compliance with Debian Policy 4.6.0 (No changes needed).
  * debian/copyright:
    - Add year 2021 for debian/* to myself.

 -- Jörg Frings-Fürst <debian@jff.email>  Wed, 18 Aug 2021 20:59:02 +0200

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export VALAFLAGS:=$(foreach w,$(CPPFLAGS) $(CFLAGS) $(LDFLAGS),-X $(w))

%:
	dh $@  --buildsystem=meson --with gnome

override_dh_auto_configure:
	dh_auto_configure -- \
	            -Dunity-support=true \
	            -Dinstall-apport-hook=true

override_dh_gnome_clean:
	dh_gnome_clean --no-control

override_dh_install:
	dh_install
	# Remove unwanted la files
	rm -f debian/shotwell/usr/lib/*/shotwell/plugins/builtin/*.la
	rm -f debian/shotwell/usr/lib/*/*shotwell*.a
	rm -f debian/shotwell/usr/lib/*/*shotwell*.la

## shotwell 0.30.16

=== debian/changelog ===
shotwell (0.30.16-1ubuntu2) kinetic; urgency=medium

  * Cherry-pick patch to declare that the Shotwell Viewer can open webp files
  * debian/control: Depend on webp-pixbuf-loader

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 24 Aug 2022 07:16:53 -0400

shotwell (0.30.16-1ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable (LP: #1975521). Remaining changes:
    * d/replace_thumbnailer.sh, d/shotwell-common.README.Debian,
      d/shotwell.examples, d/shotwell.postrm, d/shotwell.README.Debian:
      + clean out thumbnailer hacks, that's not user friendly and not
        something we should recommend.

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Mon, 23 May 2022 14:27:11 -0300

shotwell (0.30.16-1) unstable; urgency=medium

  * New upstream release:
    - Remove not longer needed patches:
      + debian/patches/0110-use_relative_lib_path.patch.

 -- Jörg Frings-Fürst <debian@jff.email>  Sat, 21 May 2022 20:07:27 +0200

shotwell (0.30.15-2) unstable; urgency=medium

  * New debian/patches/0110-use_relative_lib_path.patch:
    - Use relative path for libs (Closes: #1010571).
      Thanks to Neil McGovern <neilm@debian.org>.
  * Remove trailing whitespace from debian/rules.
  * Rename lintian tag non-dev-pkg-with-shlib-symlink to
    link-to-shared-library-in-wrong-package.

 -- Jörg Frings-Fürst <debian@jff.email>  Thu, 05 May 2022 18:06:01 +0200

shotwell (0.30.15-1) unstable; urgency=medium

  * New upstream release.
    - Fix FTBFS with vala 0.56.0 (Closes: #1008337).
    - Remove not longer needed patches:
      + debian/patches/0105-gitversion.patch.
  * debian/copyright:
    - Add year 2022 for debian/* to myself.
    - Refresh *.

 -- Jörg Frings-Fürst <debian@jff.email>  Thu, 07 Apr 2022 20:22:18 +0200

shotwell (0.30.14-2) unstable; urgency=medium

  * Enable untiy support (Closes: #1000528)
    - debian/control: Add Build-Depends libunity-dev.
    - debian/rules: Add override_dh_auto_configure.
  * debian/rules:
    - enable the apport option on Ubuntu (Closes: #1000529).
  * Declare compliance with Debian Policy 4.6.0.1 (No changes needed).

 -- Jörg Frings-Fürst <debian@jff.email>  Sat, 27 Nov 2021 12:06:45 +0100

=== debian/control ===
Source: shotwell
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jörg Frings-Fürst <debian@jff.email>
Build-Depends:
 appstream-util,
 cmake,
 debhelper-compat (= 13),
 desktop-file-utils,
 gnome-pkg-tools,
 itstool,
 libappstream-glib-dev,
 libexif-dev (>= 0.6.16),
 libgcr-3-dev,
 libgdata-dev,
 libgee-0.8-dev (>= 0.10),
 libgexiv2-dev (>= 0.10.4),
 libglib2.0-dev (>= 2.40),
 libgphoto2-dev (>= 2.5.4),
 libgstreamer-plugins-base1.0-dev (>= 1.0.0),
 libgstreamer1.0-dev (>= 1.0.0),
 libgtk-3-dev (>= 3.14),
 libgudev-1.0-dev (>= 145),
 libicu-dev,
 libjson-glib-dev,
 libraw-dev (>= 0.14),
 librest-dev (>= 0.7),
 libsoup2.4-dev (>= 2.26.0),
 libsqlite3-dev (>= 3.5.9),
 libunity-dev,
 libwebkit2gtk-4.0-dev,
 libxml2 (>= 2.6.32),
 meson,
 ninja-build,
 valac (>= 0.46.0)
Standards-Version: 4.6.0.1
Rules-Requires-Root: binary-targets
Homepage: https://wiki.gnome.org/Apps/Shotwell
XS-Debian-Vcs-Git: git://jff.email/opt/git/shotwell.git
XS-Debian-Vcs-Browser: https://jff.email/cgit/shotwell.git

Package: shotwell
Architecture: linux-any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 shotwell-common (= ${source:Version}),
 dconf-cli,
 default-dbus-session-bus | dbus-session-bus,
 librsvg2-common,
 webp-pixbuf-loader
Replaces: shotwell-common (<< 0.26.2-1)
Description: digital photo organizer
 Shotwell is a digital photo organizer designed for the GNOME desktop
 environment. It allows you to import photos, pictures, images and videos
 from disk or camera. Shotwell can organize them in collections and in other
 various ways. The viewer shows them in full-window or fullscreen mode and
 presents them as galleries or slideshows. The integrated editor can rotate,
 flip, crop and tag the photos, adjust the colors und remove red eyes. Export
 is possible to facebook, Flickr or Youtube to share with others. It is able
 to manage a lot of image formats such as JPEG, PNG, BMP, TIFF and Raw CR2.

Package: shotwell-common
Architecture: all
Depends: ${misc:Depends}
Recommends: shotwell
Breaks: shotwell (<< 0.26.2-1)
Description: digital photo organizer - common files
 Shotwell is a digital photo organizer designed for the GNOME desktop
 environment. It allows you to import photos, pictures, images and videos
 from disk or camera. Shotwell can organize them in collections and in other
 various ways. The viewer shows them in full-window or fullscreen mode and
 presents them as galleries or slideshows. The integrated editor can rotate,
 flip, crop and tag the photos, adjust the colors und remove red eyes. Export
 is possible to facebook, Flickr or Youtube to share with others. It is able
 to manage a lot of image formats such as JPEG, PNG, BMP, TIFF and Raw CR2.
 .
 This package provides image files and documentation for Shotwell.

## shotwell 0.30.17

=== debian/changelog ===
shotwell (0.30.17-1) unstable; urgency=medium

  * New upstream release.
  * Declare compliance with Debian Policy 4.6.1.0 (No changes needed).
  * Delete not used patches.
  * Cherry-pick patch for Shotwell Viewer to open webp files (Closes: #1018025).
    - New debian/patches/0100-webp.patch.
    - debian/control: Add webp-pixbuf-loader to Build-Depends.

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 02 Oct 2022 08:09:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: shotwell
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jörg Frings-Fürst <debian@jff.email>
+Maintainer: Jörg Frings-Fürst <debian@jff.email>
 Build-Depends:
  appstream-util,
  cmake,
@@ -33,12 +32,13 @@
  libxml2 (>= 2.6.32),
  meson,
  ninja-build,
- valac (>= 0.46.0)
-Standards-Version: 4.6.0.1
+ valac (>= 0.46.0),
+ webp-pixbuf-loader
+Standards-Version: 4.6.1.0
 Rules-Requires-Root: binary-targets
 Homepage: https://wiki.gnome.org/Apps/Shotwell
-XS-Debian-Vcs-Git: git://jff.email/opt/git/shotwell.git
-XS-Debian-Vcs-Browser: https://jff.email/cgit/shotwell.git
+Vcs-Git: git://jff.email/opt/git/shotwell.git
+Vcs-Browser: https://jff.email/cgit/shotwell.git
 
 Package: shotwell
 Architecture: linux-any
@@ -48,8 +48,7 @@
  shotwell-common (= ${source:Version}),
  dconf-cli,
  default-dbus-session-bus | dbus-session-bus,
- librsvg2-common,
- webp-pixbuf-loader
+ librsvg2-common
 Replaces: shotwell-common (<< 0.26.2-1)
 Description: digital photo organizer
  Shotwell is a digital photo organizer designed for the GNOME desktop

=== debian/rules ===
--- 
+++ 
@@ -4,13 +4,18 @@
 
 export VALAFLAGS:=$(foreach w,$(CPPFLAGS) $(CFLAGS) $(LDFLAGS),-X $(w))
 
+#Enable the apport option when building of Ubuntu
+ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
+                APPORT = -Dinstall-apport-hook=true
+endif
+
 %:
 	dh $@  --buildsystem=meson --with gnome
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-	            -Dunity-support=true \
-	            -Dinstall-apport-hook=true
+	    --libexec=/usr/libexec \
+	    -Dunity-support=true $(APPORT)
 
 override_dh_gnome_clean:
 	dh_gnome_clean --no-control

## shotwell 0.30.18

=== debian/changelog ===
shotwell (0.30.18-0ubuntu1) lunar; urgency=medium

  * New upstream bugfix release
    - Add missing value to saturation slider
    - Use libportal for "Set as Desktop Background" feature like Nautilus does
  * debian/control: Build-Depend on libportal-gtk3-dev
  * Depend on xdg-desktop-portal-gnome | xdg-desktop-portal-backend
    for "Set as Desktop Background"
  * debian/control: Build-Depend on libwebp-dev
  * Bump required libgevi2-dev to 0.12.0-2~, required for webp support
  * List webp-pixbuf-loader in Depends, not Build-Depends (Closes: #1034010)
  * Cherry-pick patch to fix build with vala 0.56.6 (Closes: #1034011)
  * Cherry-pick 2 more patches required for webp support to work (LP: #1993881)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 06 Apr 2023 09:56:00 -0400

shotwell (0.30.17-1ubuntu1) lunar; urgency=low

  * Merge from Debian, remaining changes:
  * d/replace_thumbnailer.sh, d/shotwell-common.README.Debian,
      d/shotwell.examples, d/shotwell.postrm, d/shotwell.README.Debian:
      + clean out thumbnailer hacks, that's not user friendly and not
        something we should recommend.
  * debian/control: Depend on webp-pixbuf-loader

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 22 Nov 2022 12:25:08 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: shotwell
 Section: gnome
 Priority: optional
-Maintainer: Jörg Frings-Fürst <debian@jff.email>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jörg Frings-Fürst <debian@jff.email>
 Build-Depends:
  appstream-util,
  cmake,
@@ -14,7 +15,7 @@
  libgcr-3-dev,
  libgdata-dev,
  libgee-0.8-dev (>= 0.10),
- libgexiv2-dev (>= 0.10.4),
+ libgexiv2-dev (>= 0.12.0-2~),
  libglib2.0-dev (>= 2.40),
  libgphoto2-dev (>= 2.5.4),
  libgstreamer-plugins-base1.0-dev (>= 1.0.0),
@@ -23,17 +24,18 @@
  libgudev-1.0-dev (>= 145),
  libicu-dev,
  libjson-glib-dev,
+ libportal-gtk3-dev,
  libraw-dev (>= 0.14),
  librest-dev (>= 0.7),
  libsoup2.4-dev (>= 2.26.0),
  libsqlite3-dev (>= 3.5.9),
  libunity-dev,
  libwebkit2gtk-4.0-dev,
+ libwebp-dev,
  libxml2 (>= 2.6.32),
  meson,
  ninja-build,
  valac (>= 0.46.0),
- webp-pixbuf-loader
 Standards-Version: 4.6.1.0
 Rules-Requires-Root: binary-targets
 Homepage: https://wiki.gnome.org/Apps/Shotwell
@@ -48,7 +50,9 @@
  shotwell-common (= ${source:Version}),
  dconf-cli,
  default-dbus-session-bus | dbus-session-bus,
- librsvg2-common
+ librsvg2-common,
+ xdg-desktop-portal-gnome | xdg-desktop-portal-backend,
+ webp-pixbuf-loader
 Replaces: shotwell-common (<< 0.26.2-1)
 Description: digital photo organizer
  Shotwell is a digital photo organizer designed for the GNOME desktop

## shotwell 0.32.1

=== meson_options.txt ===
option('unity_support', type: 'boolean', value : 'false', description: 'Enable Ubuntu Unity support')
option('publishers', type: 'array', choices: ['flickr','googlephotos','piwigo','youtube','gallery3','tumblr'], value : ['flickr','googlephotos','piwigo','youtube','gallery3','tumblr'], description: 'The list of publishing plugins to build')
option('trace', type: 'array', choices: ['dtors', 'import', 'md5', 'metadata-writer', 'monitoring', 'pixbuf-cache', 'reflow', 'reflow-items'], value : [], description: 'Enable various trace options')
option('measure', type: 'array', choices: ['enhance', 'import', 'pipeline', 'view-filtering', 'thumbnail-cache'], value : [], description : 'Enable various timing measurements')
option('dupe_detection', type: 'boolean', value : 'true', description: 'Disable duplicate checks')
option('udev', type: 'boolean', value : 'true', description: 'Enable or disable udev support')
option('install_apport_hook', type : 'boolean', value : 'true', description: 'Enable Ubuntu apport hook')
option('face_detection', type:'boolean', value:false, description: 'Enable face detection and recognition features')
option('face_detection_helper', type : 'boolean', value : 'true', description : 'If face-detection is enabled, build the external helper tool')
option('face_detection_helper_bus', type:'combo', choices: ['private', 'session'], value : 'private', description: 'Which DBus bus to use for external helper tool')
option('fatal_warnings', type:'boolean', value:false)
option('extra_pixbuf_loaders_path', type:'string', value: '')

=== debian/changelog ===
shotwell (0.32.1-0.1~mx23+1) mx; urgency=medium

  * New upstream release:
    - enable face detection in rules.
    - add libopencv-dev as build-dep for face detection.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 13 May 2023 14:24:52 -0700

shotwell (0.32.0-0build2~ubuntu22.04) jammy; urgency=medium

  * New upstream release.

 -- pandajim (key for lives deb) <ubuntuhandbook1@gmail.com>  Sun, 02 Oct 2022 08:09:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,41 +1,45 @@
 Source: shotwell
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Jörg Frings-Fürst <debian@jff.email>
-Build-Depends:
- appstream-util,
- cmake,
- debhelper-compat (= 13),
- desktop-file-utils,
- gnome-pkg-tools,
- itstool,
- libappstream-glib-dev,
- libexif-dev (>= 0.6.16),
- libgcr-3-dev,
- libgdata-dev,
- libgee-0.8-dev (>= 0.10),
- libgexiv2-dev (>= 0.12.0-2~),
- libglib2.0-dev (>= 2.40),
- libgphoto2-dev (>= 2.5.4),
- libgstreamer-plugins-base1.0-dev (>= 1.0.0),
- libgstreamer1.0-dev (>= 1.0.0),
- libgtk-3-dev (>= 3.14),
- libgudev-1.0-dev (>= 145),
- libicu-dev,
- libjson-glib-dev,
- libportal-gtk3-dev,
- libraw-dev (>= 0.14),
- librest-dev (>= 0.7),
- libsoup2.4-dev (>= 2.26.0),
- libsqlite3-dev (>= 3.5.9),
- libunity-dev,
- libwebkit2gtk-4.0-dev,
- libwebp-dev,
- libxml2 (>= 2.6.32),
- meson,
- ninja-build,
- valac (>= 0.46.0),
+Build-Depends: appstream-util,
+               cmake,
+               debhelper-compat (= 13),
+               desktop-file-utils,
+               gnome-pkg-tools,
+               itstool,
+               libappstream-glib-dev,
+               libcairo2-dev,
+               libexif-dev (>= 0.6.16),
+               libgcr-3-dev,
+               libgdata-dev,
+               libgee-0.8-dev (>= 0.10),
+               libgexiv2-dev (>= 0.10.4),
+               libglib2.0-dev (>= 2.40),
+               libgphoto2-dev (>= 2.5.4),
+               libgstreamer-plugins-base1.0-dev (>= 1.0.0),
+               libgstreamer1.0-dev (>= 1.0.0),
+               libgtk-3-dev (>= 3.14),
+               libgudev-1.0-dev (>= 145),
+               libicu-dev,
+               libjson-glib-dev,
+# opencv required for face detection
+               libopencv-dev,
+               libportal-gtk3-dev,
+               libraw-dev (>= 0.14),
+               librest-dev (>= 0.7),
+               libsecret-1-dev,
+               libsoup-3.0-dev,
+               libsqlite3-dev (>= 3.5.9),
+               libunity-dev,
+               libwebkit2gtk-4.1-dev,
+               libwebp-dev,
+               libxml2-dev (>= 2.6.32),
+               meson,
+               ninja-build,
+               valac (>= 0.46.0),
+               webp-pixbuf-loader
 Standards-Version: 4.6.1.0
 Rules-Requires-Root: binary-targets
 Homepage: https://wiki.gnome.org/Apps/Shotwell
@@ -44,15 +48,12 @@
 
 Package: shotwell
 Architecture: linux-any
-Depends:
- ${shlibs:Depends},
- ${misc:Depends},
- shotwell-common (= ${source:Version}),
- dconf-cli,
- default-dbus-session-bus | dbus-session-bus,
- librsvg2-common,
- xdg-desktop-portal-gnome | xdg-desktop-portal-backend,
- webp-pixbuf-loader
+Depends: dconf-cli,
+         default-dbus-session-bus | dbus-session-bus,
+         librsvg2-common,
+         shotwell-common (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Replaces: shotwell-common (<< 0.26.2-1)
 Description: digital photo organizer
  Shotwell is a digital photo organizer designed for the GNOME desktop

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 #Enable the apport option when building of Ubuntu
 ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
-                APPORT = -Dinstall-apport-hook=true
+                APPORT = -Dinstall_apport_hook=true
 endif
 
 %:
@@ -15,7 +15,8 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 	    --libexec=/usr/libexec \
-	    -Dunity-support=true $(APPORT)
+	    -Dunity_support=true $(APPORT) \
+	    -Dface_detection=true
 
 override_dh_gnome_clean:
 	dh_gnome_clean --no-control
@@ -26,3 +27,7 @@
 	rm -f debian/shotwell/usr/lib/*/shotwell/plugins/builtin/*.la
 	rm -f debian/shotwell/usr/lib/*/*shotwell*.a
 	rm -f debian/shotwell/usr/lib/*/*shotwell*.la
+
+# No dbgsym packages:
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## shotwell 0.32.2

=== debian/changelog ===
shotwell (0.32.2-0.1~mx23+1) mx; urgency=medium

  * New upstream release: 
   - Fix using wrong data folder when starting profile through browser
   - Fix sendto in flatpak environment
   - Support HEIF files with HIF extension
   - Fix meta-data being written in a loop
   - Fix detecting false mtime changes
   - Fix broken aspect ratio of thumbnail when using external editors
   - Fix critical when exporting file with no exposure date
   - Fix minor leak in Flickr and Google authenticators
   - Enable C&P of paths in profile editor
   - Translation updates

  * Enable face detection in rules.
  * Add libopencv-dev as build-dep for face detection.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 07 Aug 2023 16:20:40 -0700

shotwell (0.32.1-2) unstable; urgency=medium

  * debian/rules (Closes: #1039719):
    - Drop unnecessary libexec configure option.
    - Update apport configuration option name.
    - Drop obsolete override_dh_install.
  * Replace Build-Depend gnome-pkg-tools with dh-sequence-gnome:
    - debian/rules:
      + Remove --with gnome.
    - debian/control:
      + Replace gnome-pkg-tools with dh-sequence-gnome.
  * debian/control:
    - Drop the Build-Depends libsoup2.4-dev (Closes: #1039715).
    - Add Depend xdg-desktop-portal-backend (Closes: #1039716).
    - Drop unnecessary Build-Depends versioning.

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 09 Jul 2023 18:23:07 +0200

shotwell (0.32.1-1) unstable; urgency=medium

  * New upstream release (Closes: #1034018, #1034011, #1034017):
    - debian/rules:
      + Replace unity-support with unity_support.
    - debian/control:
      + Add libportal-gtk3-dev, libwebp-dev, and libsecret-1-dev to Build-Depends.
      + Switch Build-Depends to libwebkit2gtk-4.1-dev.
      + Add bump minimum release of libgexiv2-dev to >= 0.12.0-2~.
    - Thanks to Jeremy Bícha <jeremy.bicha@canonical.com>.
  * debian/control:
    - Change to new repository.
    - Move Build Depend webp-pixbuf-loader to Depends (Closes: #1034010)
      + Thanks to Jeremy Bícha <jeremy.bicha@canonical.com>.
  * debian/copyright:
    - Add year 2023 to myself.
    - Refresh for the new release.
  * Declare compliance with Debian Policy 4.6.2.0 (No changes needed).

 -- Jörg Frings-Fürst <debian@jff.email>  Fri, 16 Jun 2023 13:50:23 +0200

=== debian/control ===
--- 
+++ 
@@ -7,44 +7,40 @@
                cmake,
                debhelper-compat (= 13),
                desktop-file-utils,
-               gnome-pkg-tools,
+               dh-sequence-gnome,
                itstool,
                libappstream-glib-dev,
-               libcairo2-dev,
-               libexif-dev (>= 0.6.16),
+               libexif-dev,
                libgcr-3-dev,
                libgdata-dev,
-               libgee-0.8-dev (>= 0.10),
-               libgexiv2-dev (>= 0.10.4),
-               libglib2.0-dev (>= 2.40),
-               libgphoto2-dev (>= 2.5.4),
-               libgstreamer-plugins-base1.0-dev (>= 1.0.0),
-               libgstreamer1.0-dev (>= 1.0.0),
-               libgtk-3-dev (>= 3.14),
-               libgudev-1.0-dev (>= 145),
+               libgee-0.8-dev,
+               libgexiv2-dev,
+               libglib2.0-dev,
+               libgphoto2-dev,
+               libgstreamer-plugins-base1.0-dev,
+               libgstreamer1.0-dev,
+               libgtk-3-dev,
+               libgudev-1.0-dev,
                libicu-dev,
                libjson-glib-dev,
-# opencv required for face detection
                libopencv-dev,
                libportal-gtk3-dev,
-               libraw-dev (>= 0.14),
-               librest-dev (>= 0.7),
+               libraw-dev,
+               librest-dev,
                libsecret-1-dev,
-               libsoup-3.0-dev,
-               libsqlite3-dev (>= 3.5.9),
+               libsqlite3-dev,
                libunity-dev,
                libwebkit2gtk-4.1-dev,
                libwebp-dev,
-               libxml2-dev (>= 2.6.32),
+               libxml2,
                meson,
                ninja-build,
-               valac (>= 0.46.0),
-               webp-pixbuf-loader
-Standards-Version: 4.6.1.0
+               valac
+Standards-Version: 4.6.2.0
 Rules-Requires-Root: binary-targets
 Homepage: https://wiki.gnome.org/Apps/Shotwell
-Vcs-Git: git://jff.email/opt/git/shotwell.git
-Vcs-Browser: https://jff.email/cgit/shotwell.git
+Vcs-Git: git://git.jff.email/shotwell.git
+Vcs-Browser: https://git.jff.email/cgit/shotwell.git
 
 Package: shotwell
 Architecture: linux-any
@@ -52,6 +48,8 @@
          default-dbus-session-bus | dbus-session-bus,
          librsvg2-common,
          shotwell-common (= ${source:Version}),
+         webp-pixbuf-loader,
+         xdg-desktop-portal-gnome | xdg-desktop-portal-backend,
          ${misc:Depends},
          ${shlibs:Depends}
 Replaces: shotwell-common (<< 0.26.2-1)

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export VALAFLAGS:=$(foreach w,$(CPPFLAGS) $(CFLAGS) $(LDFLAGS),-X $(w))

#Enable the apport option when building of Ubuntu
ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
		APPORT = -Dinstall_apport_hook=true
endif

%:
	dh $@  --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- \
	    -Dunity_support=true $(APPORT) \
	    -Dface_detection=true


override_dh_gnome_clean:
	dh_gnome_clean --no-control

# No dbgsym packages:
override_dh_strip:
	dh_strip --no-automatic-dbgsym

## shotwell 0.32.3

=== debian/changelog ===
shotwell (0.32.3-0.1~mx23+1) mx; urgency=medium

  * Import new upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 20 Nov 2023 21:02:04 -0800

shotwell (0.32.2-1) unstable; urgency=medium

  * New Upstream release.
  * debian/control:
    - Remove libunity-dev (Closes: #1043205).

 -- Jörg Frings-Fürst <debian@jff.email>  Sat, 12 Aug 2023 18:24:49 +0200

=== debian/control ===
--- 
+++ 
@@ -23,13 +23,11 @@
                libgudev-1.0-dev,
                libicu-dev,
                libjson-glib-dev,
-               libopencv-dev,
                libportal-gtk3-dev,
                libraw-dev,
                librest-dev,
                libsecret-1-dev,
                libsqlite3-dev,
-               libunity-dev,
                libwebkit2gtk-4.1-dev,
                libwebp-dev,
                libxml2,

=== debian/rules ===
--- 
+++ 
@@ -14,9 +14,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-	    -Dunity_support=true $(APPORT) \
-	    -Dface_detection=true
-
+	    -Dunity_support=true $(APPORT)
 
 override_dh_gnome_clean:
 	dh_gnome_clean --no-control

## shotwell 0.32.4

=== debian/changelog ===
shotwell (0.32.4-0.1~mx23+1) mx; urgency=medium

  * Import new upstream release.
  * Remove the Ubuntu-build-related cruft from d/rules.
  * d/shotwell/install: install the new video metadata handler.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 07 Dec 2023 07:36:58 -0800

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export VALAFLAGS:=$(foreach w,$(CPPFLAGS) $(CFLAGS) $(LDFLAGS),-X $(w))

%:
	dh $@  --buildsystem=meson

override_dh_gnome_clean:
	dh_gnome_clean --no-control

# No dbgsym packages:
override_dh_strip:
	dh_strip --no-automatic-dbgsym

## shotwell 0.32.6

=== debian/changelog ===
shotwell (0.32.6-1ubuntu1) noble; urgency=medium

  * Merge with Debian (LP: #2062162). Remaining changes:
    - d/replace_thumbnailer.sh, d/shotwell-common.README.Debian,
      d/shotwell.examples, d/shotwell.postrm, d/shotwell.README.Debian:
      + clean out thumbnailer hacks, that's not user friendly and not
        something we should recommend.
  * Add Depends: heif-gdk-pixbuf, heif-thumbnailer (LP: #2061090)
  * Drop Build-Depends: python3-distutils

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 18 Apr 2024 06:44:24 -0400

shotwell (0.32.6-1) unstable; urgency=medium

  * New upstream release (Closes: #1064455).
    - debian/shotwell.install:
      + Install new shotwell-authenticator.
  * debian/copyright:
    - Add year 2024 to myself.
    - Refresh for the new release.
  * debian/control:
    - Add Build Depend python3-distutils.

 -- Jörg Frings-Fürst <debian@jff.email>  Tue, 05 Mar 2024 12:33:07 +0100

shotwell (0.32.4-1ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:13:12 +0000

shotwell (0.32.4-1ubuntu3) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:39:04 +0000

shotwell (0.32.4-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 06:57:42 +0000

shotwell (0.32.4-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
  * d/replace_thumbnailer.sh, d/shotwell-common.README.Debian,
      d/shotwell.examples, d/shotwell.postrm, d/shotwell.README.Debian:
      + clean out thumbnailer hacks, that's not user friendly and not
        something we should recommend.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 28 Dec 2023 15:13:02 +0100

shotwell (0.32.4-1) unstable; urgency=medium

  * New upstream release.
    - Install new shotwell-video-metadata-handler.

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 17 Dec 2023 20:41:04 +0100

shotwell (0.32.3-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
  * d/replace_thumbnailer.sh, d/shotwell-common.README.Debian,
      d/shotwell.examples, d/shotwell.postrm, d/shotwell.README.Debian:
      + clean out thumbnailer hacks, that's not user friendly and not
        something we should recommend.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 24 Nov 2023 15:32:36 +0100

shotwell (0.32.3-1) unstable; urgency=medium

  * New upstream release (Closes: #1050083).

 -- Jörg Frings-Fürst <debian@jff.email>  Wed, 22 Nov 2023 17:55:47 +0100

shotwell (0.32.2-1ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
  * d/replace_thumbnailer.sh, d/shotwell-common.README.Debian,
      d/shotwell.examples, d/shotwell.postrm, d/shotwell.README.Debian:
      + clean out thumbnailer hacks, that's not user friendly and not
        something we should recommend.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 18 Aug 2023 17:10:38 +0200

shotwell (0.32.1-2ubuntu2) mantic; urgency=medium

  * Rebuild against new libraw23.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 16 Jul 2023 10:08:29 +0200

shotwell (0.32.1-2ubuntu1) mantic; urgency=medium

  * Merge from Debian, remaining changes:
  * d/replace_thumbnailer.sh, d/shotwell-common.README.Debian,
      d/shotwell.examples, d/shotwell.postrm, d/shotwell.README.Debian:
      + clean out thumbnailer hacks, that's not user friendly and not
        something we should recommend.

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 13 Jul 2023 15:11:22 -0400

shotwell (0.32.1-1ubuntu2) mantic; urgency=medium

  * debian/rules: Update apport configuration option name

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 28 Jun 2023 11:22:32 -0400

shotwell (0.32.1-1ubuntu1) mantic; urgency=medium

  * Merge from Debian, remaining changes:
  * d/replace_thumbnailer.sh, d/shotwell-common.README.Debian,
      d/shotwell.examples, d/shotwell.postrm, d/shotwell.README.Debian:
      + clean out thumbnailer hacks, that's not user friendly and not
        something we should recommend.
  * Drop obsolete Build-Depends on libsoup2.4-dev (Closes: #1039715)
  * Depend on xdg-desktop-portal-gnome | xdg-desktop-portal-backend for
    "Set as Desktop Background" (Closes: #1039716)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 28 Jun 2023 11:14:18 -0400

=== debian/control ===
--- 
+++ 
@@ -1,39 +1,40 @@
 Source: shotwell
 Section: gnome
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Jörg Frings-Fürst <debian@jff.email>
-Build-Depends: appstream-util,
-               cmake,
-               debhelper-compat (= 13),
-               desktop-file-utils,
-               dh-sequence-gnome,
-               itstool,
-               libappstream-glib-dev,
-               libexif-dev,
-               libgcr-3-dev,
-               libgdata-dev,
-               libgee-0.8-dev,
-               libgexiv2-dev,
-               libglib2.0-dev,
-               libgphoto2-dev,
-               libgstreamer-plugins-base1.0-dev,
-               libgstreamer1.0-dev,
-               libgtk-3-dev,
-               libgudev-1.0-dev,
-               libicu-dev,
-               libjson-glib-dev,
-               libportal-gtk3-dev,
-               libraw-dev,
-               librest-dev,
-               libsecret-1-dev,
-               libsqlite3-dev,
-               libwebkit2gtk-4.1-dev,
-               libwebp-dev,
-               libxml2,
-               meson,
-               ninja-build,
-               valac
+Build-Depends:
+ appstream-util,
+ cmake,
+ debhelper-compat (= 13),
+ desktop-file-utils,
+ dh-sequence-gnome,
+ itstool,
+ libappstream-glib-dev,
+ libexif-dev,
+ libgcr-3-dev,
+ libgdata-dev,
+ libgee-0.8-dev,
+ libgexiv2-dev,
+ libglib2.0-dev,
+ libgphoto2-dev,
+ libgstreamer-plugins-base1.0-dev,
+ libgstreamer1.0-dev,
+ libgtk-3-dev,
+ libgudev-1.0-dev,
+ libicu-dev,
+ libjson-glib-dev,
+ libportal-gtk3-dev,
+ libraw-dev,
+ librest-dev,
+ libsecret-1-dev,
+ libsqlite3-dev,
+ libwebkit2gtk-4.1-dev,
+ libwebp-dev,
+ libxml2,
+ meson,
+ ninja-build,
+ valac
 Standards-Version: 4.6.2.0
 Rules-Requires-Root: binary-targets
 Homepage: https://wiki.gnome.org/Apps/Shotwell
@@ -42,14 +43,17 @@
 
 Package: shotwell
 Architecture: linux-any
-Depends: dconf-cli,
-         default-dbus-session-bus | dbus-session-bus,
-         librsvg2-common,
-         shotwell-common (= ${source:Version}),
-         webp-pixbuf-loader,
-         xdg-desktop-portal-gnome | xdg-desktop-portal-backend,
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+ shotwell-common (= ${source:Version}),
+ dconf-cli,
+ default-dbus-session-bus | dbus-session-bus,
+ librsvg2-common,
+ heif-gdk-pixbuf,
+ heif-thumbnailer,
+ webp-pixbuf-loader,
+ xdg-desktop-portal-gnome | xdg-desktop-portal-backend
 Replaces: shotwell-common (<< 0.26.2-1)
 Description: digital photo organizer
  Shotwell is a digital photo organizer designed for the GNOME desktop

## shotwell 0.32.7

=== debian/changelog ===
shotwell (0.32.7-1ubuntu3) oracular; urgency=high

  [ Jens Georg ]
  * d/p/memory-leak: Fix memory leak in slideshow. (lp: #2080004)

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Thu, 26 Sep 2024 09:51:56 +0200

shotwell (0.32.7-1ubuntu2) oracular; urgency=medium

  * Drop libavif-gdk-pixbuf from Depends to Suggests

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 06 Jul 2024 12:13:51 -0400

shotwell (0.32.7-1ubuntu1) oracular; urgency=medium

  * Merge with Debian. Remaining changes:
    - d/replace_thumbnailer.sh, d/shotwell-common.README.Debian,
      d/shotwell.examples, d/shotwell.postrm, d/shotwell.README.Debian:
      + clean out thumbnailer hacks, that's not user friendly and not
        something we should recommend.
  * Demote libjxl-gdk-pixbuf from Depends to Suggests
    since it's not in Ubuntu main yet

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 06 Jul 2024 11:39:11 -0400

shotwell (0.32.7-1) unstable; urgency=medium

  * New upstream release (Closes: ##1074582).
  * debian/control:
    - Add Depends (Closes: #1074575):
      + heif-gdk-pixbuf
      + heif-thumbnailer
    - Remove obsolate Build-Depend (Closes: #1074576):
      + python3-distutils
  * New debian/.gitignore.

 -- Jörg Frings-Fürst <debian@jff.email>  Tue, 02 Jul 2024 13:36:52 +0200

shotwell (0.32.6-2) unstable; urgency=medium

  * debin/control:
    - Add Depends (Closes: #1074491):
      + libavif-gdk-pixbuf
      + libjxl-gdk-pixbuf
  * debian/changelog:
    - Fix Licenses (Thanks to Phil Wyett <philip.wyett@kathenas.org>).

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 30 Jun 2024 15:18:23 +0200

=== debian/control ===
--- 
+++ 
@@ -49,11 +49,14 @@
  shotwell-common (= ${source:Version}),
  dconf-cli,
  default-dbus-session-bus | dbus-session-bus,
- librsvg2-common,
  heif-gdk-pixbuf,
  heif-thumbnailer,
+ librsvg2-common,
  webp-pixbuf-loader,
  xdg-desktop-portal-gnome | xdg-desktop-portal-backend
+Suggests: 
+ libavif-gdk-pixbuf,
+ libjxl-gdk-pixbuf
 Replaces: shotwell-common (<< 0.26.2-1)
 Description: digital photo organizer
  Shotwell is a digital photo organizer designed for the GNOME desktop

## shotwell 0.32.10

=== debian/changelog ===
shotwell (0.32.10-1) unstable; urgency=medium

  * New upstream release (Closes: #1078709, #1085721, #1083041).
  * debian/copyright:
    - Rewrite to make lrc happy.
      + 2 Files not changed to LGPL-2.1 because the name is LGPLv2.1-or-later.
  * Declare compliance with Debian Policy 4.7.0.1 (No changes needed).
  * debian/control:
    - Change VCS-Git from git to https.
    - Remove obsolate libgdata-dev (Closes: #1082015).

 -- Jörg Frings-Fürst <debian@jff.email>  Mon, 11 Nov 2024 17:54:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: shotwell
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jörg Frings-Fürst <debian@jff.email>
+Maintainer: Jörg Frings-Fürst <debian@jff.email>
 Build-Depends:
  appstream-util,
  cmake,
@@ -13,7 +12,6 @@
  libappstream-glib-dev,
  libexif-dev,
  libgcr-3-dev,
- libgdata-dev,
  libgee-0.8-dev,
  libgexiv2-dev,
  libglib2.0-dev,
@@ -35,10 +33,10 @@
  meson,
  ninja-build,
  valac
-Standards-Version: 4.6.2.0
+Standards-Version: 4.7.0.1
 Rules-Requires-Root: binary-targets
 Homepage: https://wiki.gnome.org/Apps/Shotwell
-Vcs-Git: git://git.jff.email/shotwell.git
+Vcs-Git: https://git.jff.email/shotwell.git
 Vcs-Browser: https://git.jff.email/cgit/shotwell.git
 
 Package: shotwell
@@ -51,12 +49,11 @@
  default-dbus-session-bus | dbus-session-bus,
  heif-gdk-pixbuf,
  heif-thumbnailer,
+ libavif-gdk-pixbuf,
+ libjxl-gdk-pixbuf,
  librsvg2-common,
  webp-pixbuf-loader,
  xdg-desktop-portal-gnome | xdg-desktop-portal-backend
-Suggests: 
- libavif-gdk-pixbuf,
- libjxl-gdk-pixbuf
 Replaces: shotwell-common (<< 0.26.2-1)
 Description: digital photo organizer
  Shotwell is a digital photo organizer designed for the GNOME desktop

=== debian/watch ===
version=4
https://download.gnome.org/sources/@PACKAGE@/([\d\.]+[02468])/ \
    @PACKAGE@@ANY_VERSION@\.tar\.xz

## shotwell 0.32.13

=== meson_options.txt ===
option('unity_support', type: 'boolean', value : false, description: 'Enable Ubuntu Unity support')
option('publishers', type: 'array', choices: ['flickr','googlephotos','piwigo','youtube','gallery3','tumblr'], value : ['flickr','googlephotos','piwigo','youtube','gallery3','tumblr'], description: 'The list of publishing plugins to build')
option('trace', type: 'array', choices: ['dtors', 'import', 'md5', 'metadata-writer', 'monitoring', 'pixbuf-cache', 'reflow', 'reflow-items'], value : [], description: 'Enable various trace options')
option('measure', type: 'array', choices: ['enhance', 'import', 'pipeline', 'view-filtering', 'thumbnail-cache'], value : [], description : 'Enable various timing measurements')
option('dupe_detection', type: 'boolean', value : true, description: 'Disable duplicate checks')
option('udev', type: 'boolean', value : true, description: 'Enable or disable udev support')
option('install_apport_hook', type : 'boolean', value : true, description: 'Enable Ubuntu apport hook')
option('face_detection', type:'boolean', value:false, description: 'Enable face detection and recognition features')
option('face_detection_helper', type : 'boolean', value : true, description : 'If face-detection is enabled, build the external helper tool')
option('face_detection_helper_bus', type:'combo', choices: ['private', 'session'], value : 'private', description: 'Which DBus bus to use for external helper tool')
option('fatal_warnings', type:'boolean', value:false)
option('extra_pixbuf_loaders_path', type:'string', value: '')

=== debian/changelog ===
shotwell (0.32.13-2) unstable; urgency=medium

  * debian/control:
    - Remove Build-Depend libxml2 (Closes: #1111632).
  * debian/copyright:
    - Remove old FSF address.
    - Add year 2025 to myself.
  * Declare compliance with Debian Policy 4.7.2.0 (No changes needed).
  
 -- Jörg Frings-Fürst <debian@jff.email>  Wed, 20 Aug 2025 14:41:44 +0200

shotwell (0.32.13-1) unstable; urgency=medium

  * New upstream release (Closes: #1107513).
  * debian/control: Correct Vcs-Git.

 -- Jörg Frings-Fürst <debian@jff.email>  Mon, 09 Jun 2025 11:47:21 +0200

=== debian/control ===
--- 
+++ 
@@ -29,14 +29,13 @@
  libsqlite3-dev,
  libwebkit2gtk-4.1-dev,
  libwebp-dev,
- libxml2,
  meson,
  ninja-build,
  valac
-Standards-Version: 4.7.0.1
+Standards-Version: 4.7.2.0
 Rules-Requires-Root: binary-targets
 Homepage: https://wiki.gnome.org/Apps/Shotwell
-Vcs-Git: https://git.jff.email/shotwell.git
+Vcs-Git: https://git.jff.email/cgit//shotwell.git
 Vcs-Browser: https://git.jff.email/cgit/shotwell.git
 
 Package: shotwell

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export VALAFLAGS:=$(foreach w,$(CPPFLAGS) $(CFLAGS) $(LDFLAGS),-X $(w))

#Enable the apport option when building of Ubuntu
ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
		APPORT = -Dinstall_apport_hook=true
endif

%:
	dh $@  --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- \
	    -Dunity_support=true $(APPORT)

override_dh_gnome_clean:
	dh_gnome_clean --no-control
